Skip to main content
POST
/
generation
/
openai
/
gpt-image-1.5
GPT Image 1.5
curl --request POST \
  --url https://open.skills.video/api/v1/generation/openai/gpt-image-1.5 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
OpenAI GPT Image 1.5 generation model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
prompt
string
required

The prompt for image generation

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
image_urls
string<uri>[]

Input images to transform or use as reference (supports multiple images)

image_size
enum<string>
default:default

Aspect ratio for the generated image

Available options:
default,
1024x1024,
1536x1024,
1024x1536
aspect_ratio
enum<string>
default:1:1

Aspect ratio for the generated image

Available options:
1:1,
3:2,
2:3
resolution
enum<string>
default:1080p

Resolution hint for generated image

Available options:
1080p
background
enum<string>
default:auto

Background for the generated image

Available options:
auto,
transparent,
opaque
quality
enum<string>
default:default

Quality for the generated image

Available options:
default,
low,
medium,
high
num_images
integer
default:1

Number of images to generate (1-10)

Required range: 1 <= x <= 10
output_format
enum<string>
default:png

Output format for the images

Available options:
jpeg,
png,
webp
sync_mode
boolean
default:false

If true, return images as data URIs and skip output history

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request